> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unblock Account

> Unblocks a previously blocked account, restoring API access.

`Unary` · [`Accounts`](https://ona.com/docs/api-reference/generated/account/overview)

Unblocks a previously blocked account, restoring API access.

Use this method to:

* Restore access after resolving policy violations
* Reinstate accounts after review

Note: Unblocking does NOT restore:

* Stopped environments (must be restarted manually)
* Cancelled subscriptions (must be re-subscribed)
* Deleted resources

Requires the `block_account` permission.

### Examples

* Unblock account:

  ```yaml theme={null}
  accountId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AccountService/UnblockAccount
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.AccountService/UnblockAccount" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "accountId": "<account-id>"
}'
```

```python Python theme={null}
import gitpod.v1.account_pb2 as account_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = account_pb2.UnblockAccountRequest(
    account_id="<account-id>",
)
response = ona.services.account.unblock_account(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { UnblockAccountRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(UnblockAccountRequestSchema, {
    accountId: "<account-id>",
  });
  const response = await ona.services.account.unblockAccount(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.UnblockAccountRequest{
		AccountId: "<account-id>",
	})
	response, err := ona.Services.Account.UnblockAccount(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "accountId": "<account-id>"
}
```

## Request

`gitpod.v1.UnblockAccountRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `accountId` | string | Yes | account\_id is the UUID of the account to unblock Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.UnblockAccountResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.